Bug 239407 - x11-wm/enlightenment: fix build with GCC architectures
Summary: x11-wm/enlightenment: fix build with GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-enlightenment mailing list
URL:
Keywords:
Depends on: 239375
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-23 18:22 UTC by Piotr Kubaj
Modified: 2019-08-28 19:21 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (enlightenment)


Attachments
patch (1.40 KB, patch)
2019-07-23 18:22 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (enlightenment)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-07-23 18:22:28 UTC
Created attachment 206017 [details]
patch

This port needs include sys/types.h in src/modules/sysinfo/cpuclock/cpuclock_sysctl.c:
/usr/include/sys/sysctl.h:1062: error: expected declaration specifiers or '...' before 'u_int'

It also needs USES=compiler:c11 because of pragma GCC diagnostic.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-08-02 10:59:31 UTC
This fails for me on powerpc64 because it is still blocked by luajit.
Comment 2 Piotr Kubaj freebsd_committer 2019-08-02 22:21:11 UTC
(In reply to Mark Linimon from comment #1)
You need https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2019-08-27 22:31:03 UTC
Now builds for me.  Approved as mentor (with maintainer-timeout).
Comment 4 commit-hook freebsd_committer 2019-08-28 19:18:26 UTC
A commit references this bug:

Author: pkubaj
Date: Wed Aug 28 19:17:51 UTC 2019
New revision: 510091
URL: https://svnweb.freebsd.org/changeset/ports/510091

Log:
  x11-wm/enlightenment: fix build with GCC architectures

  This port needs include sys/types.h in src/modules/sysinfo/cpuclock/cpuclock_sysctl.c:
  /usr/include/sys/sysctl.h:1062: error: expected declaration specifiers or '...' before 'u_int'

  It also needs USES=compiler:c11 because of pragma GCC diagnostic.

  PR:		239407
  Approved by:	enlightenment (maintainer timeout), linimon (mentor)
  Differential Revision:	https://reviews.freebsd.org/D21399

Changes:
  head/x11-wm/enlightenment/Makefile
  head/x11-wm/enlightenment/files/patch-src_modules_sysinfo_cpuclock_cpuclock__sysctl.c